com.verisign.epp.codec.validate.v02

## Class EPPValidateCheckResult

- java.lang.Object
- - com.verisign.epp.codec.validate.v02.EPPValidateCheckResult

- All Implemented Interfaces:
    EPPCodecComponent, java.io.Serializable, java.lang.Cloneable

      public class EPPValidateCheckResult
      extends java.lang.Object
      implements EPPCodecComponent

  `EPPValidateCheckResult` represents the result of an individual contact validation. The attributes of `EPPValidateCheckResult` include the contact identifier, the result code, and zero or more key value pairs.
  See Also:
    `EPPValidateCheckResp`, Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `ELM_LOCALNAME` Constant for the result local name
    `static java.lang.String` | `ELM_NAME` Constant for the result tag

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `EPPValidateCheckResult()` Default constructor for `EPPValidateCheckResult`.
    `EPPValidateCheckResult(java.lang.String aId, int aCode)` Constructor for `EPPValidateCheckResult` that includes the required attributes of the contact identifier and the result code.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addKeyValue(EPPValidateKeyValue aKeyValue)` Adds a key value pair to the list of key value pairs.
    `java.lang.Object` | `clone()` Clone `EPPValidateCheckResult`.
    `void` | `decode(org.w3c.dom.Element aElement)` Decode the `EPPValidateCheckResult` attributes from the aElement DOM Element tree.
    `org.w3c.dom.Element` | `encode(org.w3c.dom.Document aDocument)` Encode a DOM Element tree from the attributes of the `EPPValidateCheckResult` instance.
    `boolean` | `equals(java.lang.Object aObject)` Compare an instance of `EPPValidateCheckResult` with this instance.
    `int` | `getCode()` Gets the result code.
    `java.lang.String` | `getId()` Gets the contact identifier.
    `java.util.List<EPPValidateKeyValue>` | `getKeyValues()` Gets the full list of key value pairs.
    `java.lang.String` | `getNamespace()` Returns the XML namespace associated with the `EPPCodecComponent`.
    `void` | `setCode(int aCode)` Sets the result code.
    `void` | `setId(java.lang.String aId)` Sets the contact identifier.
    `void` | `setKeyValues(java.util.List<EPPValidateKeyValue> aKeyValues)` Sets the full list of key value pairs.
    `java.lang.String` | `toString()` Implementation of `Object.toString`, which will result in an indented XML `String` representation of the concrete `EPPCodecComponent`.

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### ELM_LOCALNAME

          public static final java.lang.String ELM_LOCALNAME

      Constant for the result local name
      See Also:
        Constant Field Values

    - #### ELM_NAME

          public static final java.lang.String ELM_NAME

      Constant for the result tag
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### EPPValidateCheckResult

          public EPPValidateCheckResult()

      Default constructor for `EPPValidateCheckResult`.

    - #### EPPValidateCheckResult

          public EPPValidateCheckResult(java.lang.String aId,
                                        int aCode)

      Constructor for `EPPValidateCheckResult` that includes the required attributes of the contact identifier and the result code.
      Parameters:
        `aId` - Contact identifier
        `aResultCode` - Must be one of the `EPPResult` result code constant values.

  - ### Method Detail

    - #### getId

          public java.lang.String getId()

      Gets the contact identifier.
      Returns:
        The contact identifier if defined;`null` otherwise.

    - #### setId

          public void setId(java.lang.String aId)

      Sets the contact identifier.
      Parameters:
        `aId` - The contact identifier

    - #### getCode

          public int getCode()

      Gets the result code.
      Returns:
        Must be one of the `EPPResult` result code constant values if defined; `-1` otherwise.

    - #### setCode

          public void setCode(int aCode)

      Sets the result code.
      Parameters:
        `aCode` - Must be one of the `EPPResult` result code constant values.

    - #### addKeyValue

          public void addKeyValue(EPPValidateKeyValue aKeyValue)

      Adds a key value pair to the list of key value pairs. The key value pair is used to defined specific validation errors.
      Parameters:
        `aKeyValue` - Key value pair to add to the list

    - #### setKeyValues

          public void setKeyValues(java.util.List<EPPValidateKeyValue> aKeyValues)

      Sets the full list of key value pairs. A key value pair is used to define specific validation errors.
      Parameters:
        `aKeyValues` - List of `EPPValidateKeyValue` instances.

    - #### getKeyValues

          public java.util.List<EPPValidateKeyValue> getKeyValues()

      Gets the full list of key value pairs. A key value pair is used to define specific validation errors.
      Returns:
        List of `EPPValidateKeyValue` instances.

    - #### encode

          public org.w3c.dom.Element encode(org.w3c.dom.Document aDocument)
                                     throws EPPEncodeException

      Encode a DOM Element tree from the attributes of the `EPPValidateCheckResult` instance.
      Specified by:
        `encode` in interface `EPPCodecComponent`
      Parameters:
        `aDocument` - DOM Document that is being built. Used as an Element factory.
      Returns:
        Element Root DOM Element representing the `EPPValidateCheckResult` instance.
      Throws:
        `EPPEncodeException` - Unable to encode `EPPValidateCheckResult` instance.

    - #### decode

          public void decode(org.w3c.dom.Element aElement)
                      throws EPPDecodeException

      Decode the `EPPValidateCheckResult` attributes from the aElement DOM Element tree.
      Specified by:
        `decode` in interface `EPPCodecComponent`
      Parameters:
        `aElement` - Root DOM Element to decode `EPPValidateCheckResult` from.
      Throws:
        `EPPDecodeException` - Unable to decode aElement.

    - #### equals

          public boolean equals(java.lang.Object aObject)

      Compare an instance of `EPPValidateCheckResult` with this instance.
      Overrides:
        `equals` in class `java.lang.Object`
      Parameters:
        `aObject` - Object to compare with.
      Returns:
        `true` if equal; `false` otherwise.

    - #### clone

          public java.lang.Object clone()
                                 throws java.lang.CloneNotSupportedException

      Clone `EPPValidateCheckResult`.
      Specified by:
        `clone` in interface `EPPCodecComponent`
      Overrides:
        `clone` in class `java.lang.Object`
      Returns:
        clone of `EPPValidateCheckResult`
      Throws:
        `java.lang.CloneNotSupportedException` - standard Object.clone exception

    - #### toString

          public java.lang.String toString()

      Implementation of `Object.toString`, which will result in an indented XML `String` representation of the concrete `EPPCodecComponent`.
      Overrides:
        `toString` in class `java.lang.Object`
      Returns:
        Indented XML `String` if successful; `ERROR` otherwise.

    - #### getNamespace

          public java.lang.String getNamespace()

      Returns the XML namespace associated with the `EPPCodecComponent`.
      Specified by:
        `getNamespace` in interface `EPPCodecComponent`
      Returns:
        XML namespace for the `EPPCodecComponent`.

Copyright © VeriSign Inc. All Rights Reserved.